@import './colors'
@import './mixins'

.buttons-block
    display: flex
    gap: 12px

.buttons-block-flex-end
    justify-content: flex-end

.buttons-block-sb
    justify-content: space-between

.buttons-block-c
    justify-content: center

.btn-disabled-gray
    opacity: 0.5
    cursor: not-allowed!important
    &:hover
        background-color: $activeBG!important
    &:active
        background-color: $activeBG!important

.btn-disabled-brand
    opacity: 0.5
    cursor: not-allowed!important
    &:hover
        background-color: $brandColor!important
    &:active
        background-color: $brandColor!important

.btn[disabled]
    opacity: 0.9
    cursor: not-allowed!important
    &:hover
        background-color: $activeBG!important
    &:active
        background-color: $activeBG!important
.btn
    padding: 10px 24px
    border-radius: 9px
    border: none
    cursor: pointer
    display: flex
    justify-content: center
    align-items: center

.btn-transparent
    background: $activeBG
    border-radius: 8px
.btn-icon-decline
    &::before
        content: ''
        background-image: url(/assets/icons/Cancel.svg)
        width: 24px
        height: 24px
        margin-right: 10px

.btn-icon-recall
    &::before
        content: ''
        background-image: url(/assets/icons/cached.svg)
        width: 24px
        height: 24px
        margin-right: 10px

.btn-icon-accept
    &::before
        content: ''
        background-image: url(/assets/icons/Check.svg)
        width: 24px
        height: 24px
        margin-right: 10px

.btn-icon-plus
    &::before
        content: ''
        background-image: url(/assets/icons/plusButtonIcon.svg)
        width: 24px
        height: 24px
        margin-right: 10px

.btn-arrow-down
    &::after
        margin-left: 10px
        content: ''
        background-image: url(/assets/icons/arrowDownIcon.svg)
        width: 24px
        height: 24px

.btn-filter
    &::before
        margin-right: 10px
        content: ''
        background-image: url(/assets/icons/filterIconBrand.svg)
        width: 24px
        height: 24px

.btn-save
    &::before
        margin-right: 10px
        content: ''
        background-image: url(/assets/icons/mailboxSaveIcon.svg)
        width: 24px
        height: 24px

.btn-delete
    &::before
        margin-right: 10px
        content: ''
        background-image: url(/assets/icons/mailboxDeleteIcon.svg)
        width: 24px
        height: 24px

.btn-restore
    &::before
        margin-right: 10px
        content: ''
        background-image: url(/assets/icons/mailboxRestoreIcon.svg)
        width: 24px
        height: 24px

.btn-gray
    @include setFont(14px, 24px, normal, $blackColor)
    background-color: $activeBG
    &:hover
        background-color: $activeBGHover
    &:active
        background-color: $activeBGActive

.btn-brand
    @include setFont(14px, 24px, normal, $whiteColor)
    background-color: $brandColor
    &:hover
        background-color: $brandColorHover
    &:active
        background-color: $brandColorActive

.btn-green
    @include setFont(14px, 24px, normal, $whiteColor)
    background: $greenColor
    width: 100%

.button
    display: inline-flex
    background-color: unset
    border: none
    outline-width: 0
    margin: unset
    padding: 13px 24px
    cursor: pointer
    &.button_b-gray
        border: 1px solid #E2E2E2
    &.button_br
        border-radius: 8px
    &.button_bg-gray
        background-color: $activeBG
        &:hover
            background-color: #dcdcdc!important
        &:active
            background-color: #bbbbbb!important
    &.button_bg-brand
        background-color: $brandColor
        &:hover
            background-color: $brandColorHover!important
        &:active
            background-color: $brandColorActive!important
    &.button_bg-brand-orange
        background-color: $brandOrangeColor
        &:hover
            background-color: $brandOrangeHoverColor
        &:active
            background-color: $brandOrangeActiveColor
    &.button_bg-white
        background-color: $whiteColor
        &:hover
            background-color: #fbfbfb!important
        &:active
            background-color: #f9f9f9!important
    &.button_c-black
        color: $blackColor
    &.button_c-white
        color: #fff
    &.big-button
        width: 100%
        padding: 20px 16px
    &.button_table
        padding: 0!important
    &.button_before
        align-items: center
        &::before
            content: ''
            display: block
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            margin-right: 12px
        &.button_before_icon-logout
            &::before
                width: 22.5px
                height: 22.5px
                background-image: url(/assets/images/logout.svg)
        &.button_before_icon-edit
            &::before
                width: 14px
                height: 14px
                background-image: url(/assets/icons/pencil.svg)
    &.button_after
        align-items: center
        &::after
            content: ''
            display: block
            background-repeat: no-repeat
            background-position: center
            background-size: contain
            margin-left: auto
        &.button_after_arrow-right
            &::after
                width: 7px
                height: 14px
                background-image: url(/assets/images/arrow_right_gray.svg)
        &.button_after_asc
            &::after
                width: 10px
                height: 8px
                background-image: url(/assets/icons/table_asc.svg)
                margin-left: 3px
        &.button_after_desc
            &::after
                width: 10px
                height: 8px
                background-image: url(/assets/icons/table_desc.svg)
                margin-left: 3px


.pagination-button
    display: flex
    align-items: center
    justify-content: center
    width: 44px
    height: 44px
    background-color: $activeBG
    border-radius: 8px
    border: none
    cursor: pointer
    &:hover
        background-color: $activeBGHover
    &:active
        background-color: $activeBGActive
    &.pagination-button_icon-after
        &::after
            content: ''
            display: block
            background-repeat: no-repeat
            background-position: center
            background-size: contain
        &.pagination-button_icon-after_right
            &::after
                width: 8px
                height: 12px
                background-image: url(/assets/icons/arrow_right_black.svg)
            &.disabled
                &::after
                    background-image: url(/assets/icons/arrow-right-grey.svg)
        &.pagination-button_icon-after_left
            &::after
                width: 8px
                height: 12px
                background-image: url(/assets/icons/arrow_left_black.svg)
            &.disabled
                &::after
                    background-image: url(/assets/icons/arrow_left_grey.svg)
